# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: Apache-2.0

LICENSE = "Apache-2.0"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/Apache-2.0;md5=89aea4e17d99a7cacdbeed46a0096b10"
inherit systemd

SYSTEMD_SERVICE:${PN} = "mixxx.service"
SYSTEMD_PACKAGES = "${PN}"
SYSTEMD_AUTO_ENABLE = "enable"

DEPENDS = "mixxx"
RDEPENDS:${PN} = "expect"

SRC_URI = "file://mixxx.service \
           file://mixxxstart.sh \
           file://gloveconnect.sh"

do_install:append () {
    install -d "${D}${systemd_system_unitdir}/"
    install -m 0644 "${WORKDIR}/mixxx.service" "${D}${systemd_system_unitdir}/"
    install -d ${D}${bindir}/
    install -m 0755 "${WORKDIR}/gloveconnect.sh" "${D}${bindir}/"
    install -m 0755 "${WORKDIR}/mixxxstart.sh" "${D}${bindir}/"
}

FILES:${PN} = "${systemd_system_unitdir} \
               ${bindir}/gloveconnect.sh \
               ${bindir}/mixxxstart.sh"

